Get Cited Page
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/cited-page \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/cited-page"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/cited-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/cited-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/cited-page"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/cited-page")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/cited-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"answers": 123,
"answers_link": {
"url": "<string>"
},
"citation_evidence": "complete",
"citations": 123,
"content_type": "<string>",
"description": "<string>",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_key": "<string>",
"domain": "<string>",
"engines": [
{
"answers": 123,
"answers_share_pct": 123,
"citations": 123,
"engine": "perplexity"
}
],
"introduced_at_run": 123,
"language": "unknown",
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"names": [
{
"brand_key": "<string>",
"domain": "<string>",
"is_you": true,
"name": "<string>",
"recommends": true
}
],
"names_you": true,
"owner": "third_party",
"ownership": "own",
"period": {
"excluded_reports": 123,
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"preset": "1w",
"reports": 123
},
"prompt_count": 123,
"prompts": [
{
"answers": 123,
"citations": 123,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
],
"prompts_limit": 123,
"prompts_offset": 123,
"prompts_total": 123,
"reports": [
{
"break": {
"at": "2023-12-25",
"comparable": true,
"engines_added": [
"<string>"
],
"engines_removed": [
"<string>"
],
"parts": [
"<string>"
]
},
"breaks": [
{
"added": [],
"part": "<string>",
"removed": [],
"value": "<string>"
}
],
"citations": 123,
"completed_at": "2023-11-07T05:31:56Z",
"degraded": true,
"key": {
"answer_pack_version": 123,
"ecommerce": true,
"engines": [
"<string>"
],
"keyword_set_hash": "<string>",
"markets": {},
"passes": 123,
"score_version": "<string>",
"sells_to": "businesses",
"shopping_pack_version": 123,
"sides": [
"ai"
],
"understood_measure": "statements"
},
"measured_domain": "<string>",
"prompts_changed": false,
"run_number": 123
}
],
"title": "<string>",
"topic": {
"audience": "All buyers",
"audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"band": "Not measured",
"key": "<string>",
"market": "global",
"topic": "<string>",
"tracked_topic_id": "<string>"
},
"unavailable_scans": 0,
"url": "<string>"
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Visibility
Get Cited Page
One cited page under the period and shared filters, daily answers included.
Use its cited URL, canonical document key or document id as key. Prompts are paged; reports chart up to twelve weekly reports with the same filters. names_you is null for your own pages or pages that have not been read.
GET
/
v1
/
brands
/
{brand_id}
/
cited-page
Get Cited Page
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/cited-page \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/cited-page"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/cited-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/cited-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/cited-page"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/cited-page")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/cited-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"answers": 123,
"answers_link": {
"url": "<string>"
},
"citation_evidence": "complete",
"citations": 123,
"content_type": "<string>",
"description": "<string>",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_key": "<string>",
"domain": "<string>",
"engines": [
{
"answers": 123,
"answers_share_pct": 123,
"citations": 123,
"engine": "perplexity"
}
],
"introduced_at_run": 123,
"language": "unknown",
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"names": [
{
"brand_key": "<string>",
"domain": "<string>",
"is_you": true,
"name": "<string>",
"recommends": true
}
],
"names_you": true,
"owner": "third_party",
"ownership": "own",
"period": {
"excluded_reports": 123,
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"preset": "1w",
"reports": 123
},
"prompt_count": 123,
"prompts": [
{
"answers": 123,
"citations": 123,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
],
"prompts_limit": 123,
"prompts_offset": 123,
"prompts_total": 123,
"reports": [
{
"break": {
"at": "2023-12-25",
"comparable": true,
"engines_added": [
"<string>"
],
"engines_removed": [
"<string>"
],
"parts": [
"<string>"
]
},
"breaks": [
{
"added": [],
"part": "<string>",
"removed": [],
"value": "<string>"
}
],
"citations": 123,
"completed_at": "2023-11-07T05:31:56Z",
"degraded": true,
"key": {
"answer_pack_version": 123,
"ecommerce": true,
"engines": [
"<string>"
],
"keyword_set_hash": "<string>",
"markets": {},
"passes": 123,
"score_version": "<string>",
"sells_to": "businesses",
"shopping_pack_version": 123,
"sides": [
"ai"
],
"understood_measure": "statements"
},
"measured_domain": "<string>",
"prompts_changed": false,
"run_number": 123
}
],
"title": "<string>",
"topic": {
"audience": "All buyers",
"audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"band": "Not measured",
"key": "<string>",
"market": "global",
"topic": "<string>",
"tracked_topic_id": "<string>"
},
"unavailable_scans": 0,
"url": "<string>"
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Query Parameters
Response
Successful Response